package importantedto.candidateedto

import android.content.Intent
import com.base.datarecovery.databinding.CooperationedtoBinding
import importantedto.admireedto.sweptedto.Differenceedto
import importantedto.afteredto.constitutionaledto.Jumpedto
import importantedto.appliededto.surgeonedto.promiseedto.freedomedto.Spilledto
import importantedto.appliededto.surgeonedto.promiseedto.produceredto.motionedto.momentumedto.Collectionedto
import importantedto.appliededto.surgeonedto.promiseedto.respectableedto.prisonedto.comfortableedto.Exclaimededto
import importantedto.appliededto.surgeonedto.promiseedto.respectableedto.prisonedto.comfortableedto.Knitedto
import importantedto.concreteedto.cameedto.Hateedto


class Conscienceedto : Jumpedto<CooperationedtoBinding>() {

    override val binding: CooperationedtoBinding by lazy {
        CooperationedtoBinding.inflate(layoutInflater)
    }


    override fun setView() {
    }

    override fun setListener() {
        super.setListener()
        binding.judicialedto.setOnClickListener {
            startActivity(Intent(requireContext(), Spilledto::class.java).apply {
                putExtra("ScanType", Hateedto.SCAN_PHOTOS)
            })
        }
        binding.candleedto.setOnClickListener {
            startActivity(Intent(requireContext(), Spilledto::class.java).apply {
                putExtra("ScanType", Hateedto.SCAN_VIDEOS)
            })
        }
        binding.alcoholedto.setOnClickListener {
            startActivity(Intent(requireContext(), Spilledto::class.java).apply {
                putExtra("ScanType", Hateedto.SCAN_DOCUMENTS)
            })
        }
        binding.dietedto.setOnClickListener {
            startActivity(Intent(requireContext(), Spilledto::class.java).apply {
                putExtra("ScanType", Hateedto.SCAN_AUDIOS)
            })
        }
        binding.perfectedto.setOnClickListener {
            if (Hateedto.privacyPinPassword.isNotEmpty()) {
                startActivity(Intent(requireContext(), Knitedto::class.java))
            } else {
                startActivity(Intent(requireContext(), Exclaimededto::class.java).apply {

                })
            }
        }
        binding.angleedto.setOnClickListener {
            startActivity(Intent(requireContext(), Collectionedto::class.java))
        }

    }

    override fun onResume() {
        super.onResume()
        Differenceedto.admobMaxShowNativeAd(requireActivity(), binding.agileedto, 2)
    }

}